/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/
//********************************************************************************
// 機能名  ：ツリーオブジェクト移動
//				2004.01.08 takishima  新規作成 
//********************************************************************************
import java.awt.*;
import java.applet.*;
import java.net.*;
import java.io.*;
import java.util.StringTokenizer;

public class LoRelationTransfar extends Applet{

	//アプレットの構築
	public LoRelationTransfar() {
	}

	//変数宣言
	String GVstrPath = "";
	String GVstrSessionID = "";

	//アプレットの初期化
	public void init() {

		GVstrSessionID = "";
		GVstrPath = getParameter("path");

	}


	/**
	 * LoRelationデータベース更新用
	 * @param strSendTargetRelationID    更新するmaterialID配列
	 *                                   移動元IDがカンマ区切りで選択された分だけ格納されます。
	 * @param strReceiveTargetRelationID 更新するmaterialID配列 
	 * @param strType                    処理区分（1: 上へ 2: 中へ 3: 下へ)
	 */
	public String updateChildList(String strSendTargetRelationID, String strReceiveTargetRelationID ,String strType) {

		// 移動元のIDをリスト化する.
		StringTokenizer token = new StringTokenizer(strSendTargetRelationID, ",");
		
		int intTokenCount = token.countTokens();
		String[] strSendTargetRelationIDList = new String[intTokenCount];
		for( int i = 0; i < intTokenCount; i++ ) {
			strSendTargetRelationIDList[i] = token.nextToken();
		}
		
		String strGetLine = "";
		
		try{
			URL objUrl = new URL(GVstrPath);
			// 接続します
			URLConnection con = objUrl.openConnection();
			// 出力を行うように設定します
			con.setDoOutput(true);

			// 出力ストリームを取得
			PrintWriter out = new PrintWriter(con.getOutputStream());
			// 移動元親子IDのリストを送信する（パラメータ名は同一にして、JSP側でリストで取得する）
			for( int i = 0; i < strSendTargetRelationIDList.length; i++ ) {
				out.print("SendTargetRelationID=" + strSendTargetRelationIDList[i] + "&");
			}
			// 移動先親子IDを送信する
			out.print("ReceiveTargetRelationID=" + strReceiveTargetRelationID + "&");
			// 処理区分（1: 上へ 2: 中へ 3: 下へ)を送信する
			out.print("type=" + strType);
			out.close();

			// 入力ストリームを取得
			BufferedReader in = new BufferedReader(new InputStreamReader(con.getInputStream()));

			// 一行ずつ読み込みます
			String strLine;
			int 	i = 0;
			while ((strLine = in.readLine()) != null) {
				
				strGetLine = strGetLine + strLine + "\n";
				i++;
			}
			in.close();
		// 入力ストリームを閉じます
		} 
		catch (Exception e) {
			e.printStackTrace();
			strGetLine = "FatalErr";
		}
		return strGetLine.trim();
	}
}

